Bug 60168 - Cursor pauses when navigating within unprotected area surrounded by protected region
Summary: Cursor pauses when navigating within unprotected area surrounded by protected...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: low minor
Assignee: Not Assigned
URL: https://bugzilla.novell.com/show_bug....
Whiteboard:
Keywords:
Depends on:
Blocks: Mouse-Cursor
  Show dependency treegraph
 
Reported: 2013-02-01 18:58 UTC by Kohei Yoshida
Modified: 2020-09-15 03:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
test doc (17.50 KB, application/vnd.ms-excel)
2013-02-01 18:58 UTC, Kohei Yoshida
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kohei Yoshida 2013-02-01 18:58:35 UTC
Created attachment 74063 [details]
test doc

Open the test doc, and press Ctrl-<down arrow>.  The cursor moves from D9 to D17, but there is a *slight* pause before the cursor gets to D17.  Instead, the cursor should move instantly.
Comment 1 Kohei Yoshida 2013-02-01 18:58:58 UTC
Originally filed in bnc.
Comment 2 QA Administrators 2015-04-19 03:23:48 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-19 15:01:07 UTC
Still pausing.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 437210d58f32177ef1829d704f7f4d2f1bbfbfdd
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-18_07:21:56
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:12:20 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2017-04-12 18:01:11 UTC
Still repro.

I tried to get a callgrind, but it did not produce anything.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 86eb71c4789dc5ab0200f49f7e5bca512ef4adaf
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 12th 2016
Comment 6 QA Administrators 2018-04-13 02:32:17 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-09-15 03:58:53 UTC
Dear Kohei Yoshida,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug